← Renditjet

Scotland

National League Division 3

#EkipiPWDLPDBPPtsForma
1Cartha Queens Park RFC7700+182634WWWWW
2Allan Glen's RFC7601+99731WWWLW
3Strathmore RFC7601+99428LWWWW
4Dumfries Saints RFC7502+81727WWLWW
5West of Scotland FC7403+104521LWWLW
6Aberdeen Grammar Rugby7205-156513LWLLL
7Orkney RFC7205-49412WLLWL
8Lasswade RFC7106-115610LLLLL
9Berwick RFC7106-171610LWLLL
10Hillhead Jordanhill RFC7106-7426LLLWL

Burimi: Scottish Rugby · kontrolluar 18 tet, 04:20 m.d. · Forma: pesë rezultatet e fundit që kemi, më i riu djathtas.

Ndeshjet dhe rezultatet →

Çdo tabelë është renditja e publikuar nga vetë liga, me pikët bonus, zbritjet dhe kriteret e barazimit. BP shfaqet kur liga e publikon; përndryshe është tashmë te Pts.